Which Windows versions are supported?

At Your Service – Repair Center is supported on newer 32-bit and 64-bit versions of Windows including:

Client Operating Systems

  • Windows 7
  • Windows 8
  • Windows 8.1
  • Windows 10 (as of AYS version 3.4.056)

Server Operating Systems

  • Windows Server 2008 R2
  • Windows Server 2012
  • Windows Server 2012 R2
  • Windows Server 2016
  • Windows Server 2019 (as of AYS version 3.5.000)
Will my AYS license work?

An AYS version 3.1 or higher license is required for compatibility with Windows 7 and Windows Server 2008 R2.

An AYS version 3.4 or higher license is required for compatibility with Windows 8, Windows 8.1, Windows 10, Windows Server 2012, Windows Server 2012 R2, and Windows Server 2016.

An AYS version 3.5 or higher license is required for compatibility with Windows Server 2019.

Compatibility

AYS licenses older than version 3.4 will not work with Windows 10 even if you install a newer AYS service pack. See this article for details. If you already purchased a newer AYS license then install your new license.

What if I need a new license?

For a quote to upgrade your license to the latest version, please contact AYS sales. We recommend always installing the latest AYS service pack to ensure maximum compatibility with supported versions of Windows.

As of September 2010 with the release of AYS version 3.2.000, support was discontinued for the following Windows operating systems:

  • Windows 95
  • Windows 98
  • Windows ME
  • Windows NT
  • Windows 2000

As of December 2015 with the release of AYS version 3.4.057, support was discontinued for the following Windows operating systems:

  • Windows XP
  • Windows Server 2003

As of August 2018 with the release of AYS version 3.4.070, support was discontinued for the following Windows operating systems:

  • Windows Vista
  • Windows Server 2008